StateMachine01 Class Reference
First Test Project

`#include <statemachine01.h>`

Inheritance diagram for StateMachine01:
Collaboration diagram for StateMachine01:

## Public Member Functions

| StateMachine01 (int repeatInterval, string text)

## Protected Types

enum | eTimeoutId { Timeout_SAY_HELLO_id = 1 }
enum | eMainState { STATE_UNKNOWN = 0 , STATE_INITIAL = 1 , STATE_SAY_HELLO = 2 }

## Protected Member Functions

XFEventStatus | processEvent () override
| Remplementation from XFBehavior.
int | getRepeatInterval () const
| Returns repeat interval. Accessor for #_repeatInterval.
string | getText () const
| Returns text. Accessor for #_text.

## Protected Attributes

eMainState | currentState_
| Attribute indicating currently active state.
int | repeatInterval_
| Interval in milliseconds to repeat text in state machine.
string | text_
| Text to display in state machine state.

## Detailed Description

Task implementing a little state machine saying something in a predefined time interval.

Following you will find the state machine implemented by StateMachine01:

State Machine implemented by StateMachine01

## Member Enumeration Documentation

## eMainState

enum StateMachine01::eMainState

protected

Enumeration used to have a unique identifier for every state in the state machine.

Enumerator
STATE_UNKNOWN | Unknown state.
STATE_INITIAL | Initial state.
STATE_SAY_HELLO | Say hello state.

## eTimeoutId

enum StateMachine01::eTimeoutId

protected

Timeout identifier(s) for this state machine

Enumerator
Timeout_SAY_HELLO_id | Timeout id for WAIT.

## Constructor & Destructor Documentation

## StateMachine01()

StateMachine01::StateMachine01 | ( | int | repeatInterval,
|  | string | text
| ) |  |

Constructor

Parameters

  repeatInterval | Interval in milliseconds used in state machine.
  text | Text to display by the state machine.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test1/src/app/statemachine01.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test1/src/app/statemachine01.cpp